process-cpp: /build/process-cpp/src/process-cpp-3.0.1/build/CMakeFiles/3.19.2/CompilerIdC/CMakeCCompilerId.c File Reference

process-cpp 3.0.0 A simple convenience library for handling processes in C++11.

Macros | Functions | Variables
CMakeCCompilerId.c File Reference

Go to the source code of this file.

## Macros
#define | COMPILER_ID ""
#define | STRINGIFY_HELPER(X) #X
#define | STRINGIFY(X) STRINGIFY_HELPER(X)
#define | PLATFORM_ID
#define | ARCHITECTURE_ID
#define | DEC(n)
#define | HEX(n)
#define | C_DIALECT

## Functions
int | main (int argc, char *argv[])

## Variables
char const * | info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"
char const * | info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"
char const * | info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"
const char * | info_language_dialect_default

## Macro Definition Documentation

## ◆ ARCHITECTURE_ID

#define ARCHITECTURE_ID

Definition at line 561 of file CMakeCCompilerId.c.

## ◆ C_DIALECT

#define C_DIALECT

Definition at line 645 of file CMakeCCompilerId.c.

## ◆ COMPILER_ID

#define COMPILER_ID ""

Definition at line 314 of file CMakeCCompilerId.c.

## ◆ DEC

#define DEC | ( |  | n | ) |

Value:
('0' + (((n) / 10000000)%10)), \
('0' + (((n) / 1000000)%10)), \
('0' + (((n) / 100000)%10)), \
('0' + (((n) / 10000)%10)), \
('0' + (((n) / 1000)%10)), \
('0' + (((n) / 100)%10)), \
('0' + (((n) / 10)%10)), \
('0' + ((n) % 10))

Definition at line 565 of file CMakeCCompilerId.c.

## ◆ HEX

#define HEX | ( |  | n | ) |

Value:
('0' + ((n)>>28 & 0xF)), \
('0' + ((n)>>24 & 0xF)), \
('0' + ((n)>>20 & 0xF)), \
('0' + ((n)>>16 & 0xF)), \
('0' + ((n)>>12 & 0xF)), \
('0' + ((n)>>8 & 0xF)), \
('0' + ((n)>>4 & 0xF)), \
('0' + ((n) & 0xF))

Definition at line 576 of file CMakeCCompilerId.c.

## ◆ PLATFORM_ID

#define PLATFORM_ID

Definition at line 439 of file CMakeCCompilerId.c.

## ◆ STRINGIFY

#define STRINGIFY | ( |  | X | ) | STRINGIFY_HELPER(X)

Definition at line 335 of file CMakeCCompilerId.c.

## ◆ STRINGIFY_HELPER

#define STRINGIFY_HELPER | ( |  | X | ) | #X

Definition at line 334 of file CMakeCCompilerId.c.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 665 of file CMakeCCompilerId.c.

References info_arch, info_compiler, info_language_dialect_default, and info_platform.

Referenced by core::posix::fork(), and core::posix::vfork().

## Variable Documentation

## ◆ info_arch

char const* info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"

Definition at line 636 of file CMakeCCompilerId.c.

Referenced by main().

## ◆ info_compiler

char const* info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"

Definition at line 321 of file CMakeCCompilerId.c.

Referenced by main().

## ◆ info_language_dialect_default

const char* info_language_dialect_default

Initial value:
=
"INFO" ":" "dialect_default[" C_DIALECT "]"

Definition at line 654 of file CMakeCCompilerId.c.

Referenced by main().

## ◆ info_platform

char const* info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"

Definition at line 635 of file CMakeCCompilerId.c.

Referenced by main().

C_DIALECT
#define C_DIALECT
Definition: CMakeCCompilerId.c:645